#
# spec file for package ghc-fast-logger
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name fast-logger

%bcond_with tests

Name:           ghc-fast-logger
Version:        2.4.6
Release:        1.3
Summary:        A fast logging system
Group:          System/Libraries

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM remove-bytestring-builder.patch - remove obsolete deps from *.cabal
Patch0:         remove-bytestring-builder.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-auto-update-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-easy-file-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unix-time-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
A fast logging system.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1

%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md ChangeLog.md


%changelog
* Wed Apr 27 2016 mimi.vx@gmail.com
- update to 2.4.6
  * Ensuring that stdio is flushed.
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 2.4.5
- refreshed remove-bytestring-builder.patch
  * Bringing backward compatibility back
  * New API: newFastLogger and ewTimedFastLogger.
  * LogType and date cache are transferred from wai-logger.
* Wed Apr 13 2016 mimi.vx@gmail.com
- update to 2.4.3
  * Fixing a buf of long log messages
  * Unsupporting GHC 7.4
* Sun Aug 16 2015 mimi.vx@gmail.com
- update to 2.4.1
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 2.4.0
* Fri Apr 24 2015 mimi.vx@gmail.com
- add remove-bytestring-builder.patch to remove unneded deps
* Fri Apr 24 2015 mimi.vx@gmail.com
- initial commit
